%define name Xdialog
%define version 2.0.4
%define release 2

Name: %{name}
Summary: Xdialog in replacement for the cdialog program.
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: X11/Administration
URL: http://xdialog.free.fr
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Packager: Thierry Godefroy <xdialog@free.fr>
Provides: Xdialog

%description
Xdialog is designed to be a drop in replacement for the cdialog program.
It converts any terminal based program into a program with an X-windows
interface. The dialogs are easier to see and use and Xdialog adds even
more functionalities (help button+box, treeview, editbox, file selector,
range box, and much more).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
CFLAGS="%optflags"
%configure
make

%install
%makeinstall
cp -f $RPM_BUILD_ROOT%_mandir/man1/Xdialog.1 $RPM_BUILD_ROOT%_mandir/man1/Xdialog.1.old
sed -e "s:$RPM_BUILD_ROOT/:/:" $RPM_BUILD_ROOT%_mandir/man1/Xdialog.1.old >$RPM_BUILD_ROOT%_mandir/man1/Xdialog.1
rm -f $RPM_BUILD_ROOT%_mandir/man1/Xdialog.1.old

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc samples doc/*.html doc/*.png
%_mandir/man1/Xdialog.1*
%_bindir/*
%{prefix}/share/locale/*/LC_MESSAGES/Xdialog.mo

%changelog
* Wed Dec 12 2001 Thierry Godefroy <xdialog@free.fr>
- Xdialog v2.0.4 (build 2): Debian packaging bug fix (missing "gettext" build
                  dependency added).

* Sat Dec 08 2001 Thierry Godefroy <xdialog@free.fr>
- Xdialog v2.0.4: Improved --tailbox and --logbox loading of files at startup
		  (based on an idea of Christian Werner). A cosmetic bug
		  corrected into --logbox (the ending newline is removed from
		  each line; it appeared as a space with a grey border with
		  XFree86 v4.1.0/GTK+ v1.2.10). Ensure that "unchecked" is not
		  returned when using the --check transient option with gauge,
		  progress and infobox widgets (fool proofing). Better german
		  translations (courtesy of Sven Backhausen) and new Brazilian/
		  Potuguese translations (courtesy of Lucas Brasilino).
		  Xdialog.wrapper changed so that the XDIALOG_FORCE_AUTOSIZE
		  environment variable is set to "true" (if not already set
		  to any value) before invoking Xdialog. Removed the
		  --statistics option from msgfmt command line in
		  po/Makefile.in.in so to allow compilation on Solaris (this
		  may as well solves the compile problems on some Debian
		  plateforms). Removed unnecessary po/*.c and po/*.h from the
		  distribution. Slightly improved Xdialog.spec. Documentation
		  updates and improvements.

See the ChangeLog (or changelog.html) file for details about older changes...
